Package org.apache.sysds.runtime.instructions.spark.utils

# Class FrameRDDAggregateUtils

java.lang.Object
org.apache.sysds.runtime.instructions.spark.utils.FrameRDDAggregateUtils

public class FrameRDDAggregateUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrameRDDAggregateUtils()`

## Method Summary

Modifier and Type
Method
Description
`static scala.Tuple2<Boolean,Integer>`
`checkRowAlignment(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in, int blen)`
`static org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock>`
`mergeByKey(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameRDDAggregateUtils

public FrameRDDAggregateUtils()

## Method Details

### checkRowAlignment

public static scala.Tuple2<Boolean,Integer> checkRowAlignment(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in, int blen)

### mergeByKey

public static org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> mergeByKey(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in)